Welcome to the DataCocoon Help File

Welcome to the help file for DataCocoon.

What is DataCocoon?

DataCocoon helps you to keep all of your important data safe. Your digital photos,emails, and documents.

It runs automatically and checks to see if any of your data files have changed. If it detects any changes, those files are copied (fully encrypted so that they are secure from prying eyes) to a safe place on the Internet

What now?

If you are new to DataCocoon, the Getting Started section will explain how to set-up and use DataCocoon.

Or if you're looking for help on a particular part of DataCocoon then you will find explanation on a screen-by-screen basis in the Reference section.

If you can't find the solution to your query in the help file, try a search or post a question in our user help forum or email support.


How to use DataCocoon

Overview

DataCocoon aims to make keeping all of your important data safe as easy and automated as possible. After the initial set-up you don't have to do anything to keep your backup up-to-date. Your data is encrypted and stored on the Internet so it will be safe even if wherever your computer is burns down.

DataCocoon will run as often as you choose (and at a time of your choosing) and will check through all the files you have told it to keep safe. Any changes to those files, or new files added since the last time DataCocoon checked will be uploaded to the backup.

Unless there's a problem uploading the files, DataCocoon will close itself once it has finished, so that it keeps out of your way. If you want to check when the last backup was performed you can run DataCocoon and check on the main screen, where the time and date of the last run are displayed.

What Do I Do Next?

The first step to using DataCocoon is to configure it. To do that you'll need to run the Settings Wizard.

Each of the pages in the wizard is described in the Settings Wizard reference section, or clicking on the "Help" button on the wizard page will take you straight to the relevant help topic.

Setting up DataCocoon is relatively straight-forward, but there are two areas which might need some more explanation, and they are covered in the following two help topics:

  1. Finding somewhere to store your backup.
  2. Deciding what to back up


Finding somewhere to store your backup

DataCocoon stores your backed up data on the Internet on a machine called an FTP server.

What is an FTP server?

FTP stands for File Transfer Protocol, which is just a way to store files on a remote computer on the Internet. The FTP server is merely a computer somewhere on the Internet that DataCocoon communicate with via FTP to store your data.

Obviously, the owners of FTP servers don't want to let just anyone store files on their servers, so you need to find a server where you are allowed to upload files.

Where do I find an FTP server?

The most common place to find an FTP server to which you have access is the space provided by your Internet provider where you can build a website.

If your Internet provider is in the list of pre-configured ISPs on the Where should the data be backed up? page of the Settings Wizard then the hard work is done for you, and you just need to provide your username and password.

Otherwise you will have to find the help or support section of your Internet provider's website, and look for details of how to upload or set-up your website. You'll need to find:

  • The FTP server address. This will be something like ftp.yourisp.com or upload.yourisp.co.uk, or occasionally a sequence of four numbers separated by .s, e.g. 10.1.0.123
  • The FTP server port. If provided, this will be in the same place as the FTP server address. If you can't find it, that generally means that the default port number is being used, which is 21.
  • Your username. This is usually the same username you use to connect to the Internet, but it might be something different, such as your email address.
  • Your password. Like your username, this is usually the one you use to connect to the Internet.


Deciding what to back up

It is unlikely that you'll have as much space available online as you do on your hard disk, and even if you did have access to hundreds of gigabytes of online storage it would take far too long to upload the everything from your computer.

So what should you do?

The only things that is is vital to back up are those that you can't get back if the contents of your computer are lost - namely all of your data.

The the operating system and programs on your computer can all be installed again, either from the original installation CDs, or by downloading them again from the Internet, but the documents you write, the emails you've received, and the photos you've taken cannot be replaced.

These are the files that you should include in the list for DataCocoon to back up. In most cases, this just means that you should include all of the files held in your "My Documents" folder. If you save your files into other locations then make sure you add them to the list too, and have a look through the other folders in your local disks in "My Computer" to check that none of your programs save your data elsewhere.


Help! I need to get my files back!

If the unthinkable happens, don't worry, you are only two steps away from getting all your data back.

That's assuming that having this help file open means that you've installed DataCocoon on the machine where you want to restore your data. If not, then sneak in a step 0 where you install Windows and your programs (including DataCocoon) onto your new machine.

Step 1 - Configure DataCocoon

If you have just installed DataCocoon then you'll need to tell it where your backup is stored before you can access the backup. This is done by entering your details into the Settings Wizard in the same way as when you were first setting up backups.

It isn't vital that you enter the correct files to back up, or choose the correct times for the backup to run, because the restore process won't use that information. However, you will have to choose some files to back up in order to complete the wizard, and it makes sense to fill these details in now to save having to go back later to set things up to keep your data safe on your new machine.

Step 2 - Restore your files

Once you have run the settings wizard, getting your data back is a simple matter of running the Restore Wizard

The Restore Wizard will guide you through the process of retrieving files from your backup - whether you want to restore everything you've backed up; a file you've deleted recently and realised you want to get it back; or just a few files from the backup.

Once you've decided what you want to restore, you just need to choose whether to restore the files to their original location on the hard disk, or to a new location you provide, and then DataCocoon will go about getting the data from the backup for you.


Welcome to DataCocoon screen

This is the first screen you see when you start DataCocoon. It is the starting point for configuring DataCocoon, manually running a backup or getting your files back from a backup.

Settings
The settings are all the things that need to be set up in order for you to get started. Clicking on this button will start the Settings Wizard to take you step by step through the necessary stages in which you need to enter information so that DataCocoon can do its job properly.
Backup Now
Clicking this button will make DataCocoon check through all the files to be backed up to see if there are any changes, and will then back-up the changed files. Use this if you want to make sure that your backup is up to date, and don't want to wait for the next scheduled backup. See also the Backup screen section.
Restore
This launches the Restore Wizard which enables you to retrieve files that have been previously backed up and now you would like to save them onto your computer again.
About
This shows the copyright and version information for DataCocoon
Exit
This button will close DataCocoon
Help
Launches this help file


Performing Backup screen

This screen is one of the most important parts of DataCocoon as it reports the progress of a backup.

There are two main areas in this screen, which each govern a separate, but related, aspect of the backup process:

Looking for changed files
Before it begins actually uploading files to the FTP server, DataCocoon checks to see which files have changed as they are the only ones which need to be backed up. Three scans are performed, and the progress of each in turn is shown in the progress bar in this area:
  1. The first check is to see which of the files have changed. Whenever a file is found that has changed it is added to the list of files to be uploaded.
  2. Then DataCocoon looks whether any of the files already in the backup have been deleted, or removed from the list of files to include in the backup.
  3. Finally (and this check will only occur once any files found in the previous two checks have been uploaded or removed from the backup), any recently deleted files stored in the backup are checked to see whether they should still be kept
Backing up files found above
As files are found which have changed, been deleted, or removed from the backup, they are added to the list of files to be backed up here. Each file is the processing in turn, and the progress marked in the status field for that file. The overall progress of processing the list of files is shown above the list of files.

If a file has been backed up successfully, its status will be set to "Finished". If there is an error during the backup, a short description of the problem will be displayed in the status field for that file, marked in red and underlined. Clicking on the error description will open a web page with a more detailed description of the problem, along with any steps that can be taken to rectify the error.

Below the progress areas are three buttons which allow you to control the backup process:

Pause
Clicking this will freeze the backup process. Use this if you want to interrupt the backup process, but not completely abandon it
Resume
This will start the backup process again after it has been paused.
Cancel
If you want to abandon the backup whilst in progress, use this button.


Settings Wizard

The settings wizard guides you through configuring DataCocoon so that it knows what to back up, where to back it up, and when to run the backup.

Choose one of the following links to get detailed help for that page of the wizard:

  • Welcome to the Settings Wizard
  • Where should the data be backed up?
  • FTP Server Details
  • Check FTP Settings?
  • FTP Settings Check
  • What should be backed up?
  • Password to encrypt backed up data
  • When should backups be performed?
  • How long should deleted files be kept in the backup?
  • Completing the Settings Wizard


Settings Wizard - Welcome to the Settings Wizard

This page is the first page of the settings process and explains a little about what will be involved when completing the settings section.


Settings Wizard - Where should data be backed up?

This page eases the set-up of the FTP settings by providing a number of pre-configured details for a number of popular Internet Providers.

If you want to use the webspace provided to you by your Internet provider, and your provider is listed in the drop-down box then choose the "Use the webspace provided to me by my Internet Service Provider (ISP). My ISP is:" option and then select your provider from the list.

Otherwise you should choose the "My ISP isn't listed above, or I want to backup to a different FTP server" option. You will then need to have the details for the FTP server you wish to use ready for the next page of the wizard.


Settings Wizard - FTP Server Details

This page lets you enter the details for the FTP server where your backup will be stored.

If you chose one of the pre-configured Internet providers on the Where should data be backed up? page then the FTP Server will have been filled in with the correct server value.

If you don't know the details of the FTP server to use for your Internet provider then see if someone has added it to our list of additional FTP servers or consult the support section of your Internet provider's website. The FTP server details should be included in the section explaining how to upload files to your webspace.

FTP Server
This is the address of the FTP server where your backup will be stored. It will be something in the form of ftp.myinternetprovider.com or upload.myinternetprovider.co.uk. If you chose one of the pre-configured settings then this field will already be filled-in for you.
Port
FTP servers can run at different ports, but usually they run on port 21. If you know that your FTP server runs at a different port then enter that port number here, otherwise leave it set to 21.
Username
Enter the username you use to log onto the FTP server here. This is often the same username you use to connect to your Internet provider.
Password
Enter the password you use to log onto the FTP server here. This is often the same password you use to connect to your Internet provider.
Directory on FTP server where backups will be stored
By default, DataCocoon will use your "home" directory (the FTP server equivalent of your "My Documents" folder) to store your backups. If you want to change where the backups are stored or you want to create a new directory to hold your backups then enter the details here, or click on the "Browse" button to choose or create a new directory.
Storage limit
Your Internet provider will usually place a limit on the amount of data you can store on their server. Entering that amount here will mean that DataCocoon doesn't try to upload more data than you are permitted. You can also set this to a lower amount to prevent DataCocoon from using all of your webspace to store backups.


Settings Wizard - Check FTP Settings?

This page lets you decide whether or not to check the settings to make sure that they are all correct and that DataCocoon will be able to back up your files.

It is recommended that you run the check because it is easier to correct any mistakes now rather than during the actual backup.

You will need to be connected to the Internet for the check to run.


Settings Wizard - FTP Settings Check

This page shows the progress and results of checking the FTP settings.

The check is performed in three stages:

  1. The first step is to connect to the FTP server. A failure at this point would indicate that there was a problem with either the FTP server or port number setting; your connection to the Internet isn't functioning correctly; or the FTP server isn't running.
  2. The next check is to log into the FTP server. A failure at this stage would indicate that there is a problem with your username and/or password. Ensure that they are entered correctly, checking that you don't accidentally have the CAPS LOCK enabled.
  3. Finally, DataCocoon performs some basic checks to see that the folder you have chosen to store your backed up data exists, and that the permissions are set correctly to allow data to be saved into that folder.


Settings Wizard - What should be backed up?

On this page you can choose which files you would like to back up. You are advised not to back up all of your files because this will be both time consuming and unnecessary. Instead, choose personal files e.g. those which are generally stored in your 'My Documents' folder.

To look further into a folder e.g. 'My Documents' you can click on the plus sign (+) at the left of the folder or area and this will show you which files or documents are held within.

Key
The key explains what the ticks in the boxes mean. If a box is shaded grey it means that some of the files in this folder will be backed up but not all. For example the 'My Documents' folder is stored within the 'Local Disk' area and therefore will appear shaded grey when you have chosen to back up anything from the 'My Documents' folder.


Settings Wizard - Password to encrypt backed up data

The password page is extremely important because if you forget your password then you won't be able to restore any of your backed up files (and there'll be nothing that DataCocoon can do to help you!)

So, be wise and pick something that you will not forget.

This password is used to protect all of your data when it is stored in the backup. That way, if anyone manages to gain access to the backup they still won't be able to make any sense of it unless they know the password you chose.


Settings Wizard - When should backups be performed?

This page lets you choose when DataCocoon will back up your files.

DataCocoon will regularly check to see if any of your files have changed and will continue to back them up without you having to remember to run the backup!

This means that unless you want to change any settings or files to be backed up, DataCocoon will keep doing its job unless told otherwise and all your files will be safe in the designated place.

If you just want the backup to run at regular intervals at one fixed time, then choose the top option to backup every day, once-a-week, etc. For the weekly or fortnightly (every two weeks) option, the day that the backup runs will depend on the day on the first date chosen. Monthly backups will run on the same day as that chosen in the "from" date option.

To vary the time that backups run from day to day, or to choose to only backup on certain days of the week, choose the "Backup on the following days..." option, and then use the checkboxes to pick the days upon which the backup will run.


Settings Wizard - How long should deleted files be kept in the backup?

This page allows you to choose how long you would like deleted files to remain in your backed up storage space.

For example, if you deleted a file from your 'My Documents' folder and then DataCocoon carried out a regular back up. The deleted file would remain intact with the other backed up files for as long as you would like.

You can choose to keep to keep these files forever so all deleted files will remain backed up.


Settings Wizard - Completing the Settings Wizard

This is the last page in the settings set up process. Selecting the finish button at the bottom of the screen will take you back to the Welcome to DataCocoon screen.

DataCocoon is then ready to backup your data, or restore a previous backup.


Restore Wizard

The restore wizard guides you through retrieving the files from the backup.

You can retrieve everything you have backed up, or choose any number of files from the backup or that have been recently deleted from your PC.

Choose one of the following links to get detailed help for that page of the wizard:

  • Welcome to the Restore Wizard
  • What would you like to restore?
  • Which files would you like to restore?
  • Which recently deleted files should be restored?
  • Where should the restored files be placed?
  • Retrieving the list of files
  • No Files To Restore
  • Restoring files...


Restore Wizard - Welcome to the Restore Wizard

Not much to explain here. This is just the introduction page to the Restore Wizard which will guide you through retrieving files from your backup.


Restore Wizard - What would you like to restore?

This page lets you choose what type of restore you wish to perform. You can opt to restore all of the files which have been backed up, or select a number of files (or even just a single file) to restore, including choosing any files which have been deleted from your computer recently.

Later in the wizard you will choose where the restored files are placed, so you needn't worry about the current files on your computer being overwritten accidentally.


Restore Wizard - Which files would you like to restore?

This page lets you decide which files from the backup should be restored.

The main area shows all the files contained in your backup. To look further into a folder e.g. 'My Documents' you can click on the plus sign (+) at the left of the folder or area and this will show you which files or documents are held within.

Choose the files to be restored by ticking the box next to them.


Restore Wizard - Which recently deleted files should be restored?

This page lists all of the files which have been deleted recently from your computer but are still available in the backup, included a rough guide of when they were deleted.

Which recently deleted files should be restored? screen shot

You should select all the files which you would like to retrieve from the backup. Holding down the "Ctrl" key when you make your selections will allow you to choose more than one file to be restored.


Restore Wizard - Where should the restored files be placed?

This page lets you decide where to put the files once they are restored.

For all types of restore you will get at least two options of where the restored files should be saved:

Their original location
This option restores the files to the same place on the computer they were in when backed up. This option is good for restoring a backup to a new computer, or restoring certain files if the original copies have become corrupted. It will overwrite the original file if it still exists on the computer.
Into this location
This lets you choose a location other than the original one for the restored file. It is useful if you want to compare the version in the backup with the one currently on your computer or if you want to verify that the backup is still valid.

If you are restoring a few files (either chosen from the main backup, or chosen from those recently deleted from your computer), you will be given a third choice:

Restore to a temporary location
Choosing this option means that DataCocoon will create a folder in your temporary folder and save all the restored files into there. When the files have been restored, there will be a link provided to open the temporary folder so that you can access the restored files.


Restore Wizard - Retrieving the list of files

Retrieving the list of files screenshot

This page shows the progress as DataCocoon retrieves a list of the files in the backup.


Restore Wizard - No Files To Restore

Seeing this page means that there aren't any files in your backup for the chosen type of restore.

If you chose to restore all of your backed up files, or to pick files from a list, then seeing this means there are no files in your backup.

If you chose to restore one or more deleted files, seeing this means there are no recently deleted files in your backup.


Restore Wizard - Restoring files...

One line description

Restoring files... screenshot

This page shows the actual restoring of the chosen files.

The progress bar at the top of the screen shows the overall progress for the entire restore operation.

The lower half of the screen shows how the restore proceeds for each file being restored. A progress bar shows the progress as each file is being downloaded from the backup. If the file is successfully restored then its status will be marked as "Finished"; if there is a problem with restoring this file then the status will contain a brief description of the error, and be shown in red. Clicking on the error description will open a webpage to give you further details about what went wrong, and what (if anything) you can do to fix things.

Once all the files have been restored, the "Cancel" button will change into a "Finish" button to let you close the wizard. If you have chosen to restore the files to a temporary location, or if you have specified a location, then a link will appear above the "Back" and "Next" buttons which will open the folder containing the restored files.